function WindGenTotalLoadYTD2016 = import_prod_2016_1(workbookFile, sheetName, startRow, endRow)
%IMPORTFILE Import data from a spreadsheet
%  WINDGENTOTALLOADYTD2016 = IMPORTFILE(FILE) reads data from the first
%  worksheet in the Microsoft Excel spreadsheet file named FILE.
%  Returns the numeric data.
%
%  WINDGENTOTALLOADYTD2016 = IMPORTFILE(FILE, SHEET) reads from the
%  specified worksheet.
%
%  WINDGENTOTALLOADYTD2016 = IMPORTFILE(FILE, SHEET, STARTROW, ENDROW)
%  reads from the specified worksheet for the specified row interval(s).
%  Specify STARTROW and ENDROW as a pair of scalars or vectors of
%  matching size for dis-contiguous row intervals.
%
%  Example:
%  WindGenTotalLoadYTD2016 = importfile("/home/lglroman/Dropbox/SATIE projets recherche/pscc2022/codes/WindGenTotalLoadYTD_2016.xls", "January-June", 24, 52427);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 23-Jun-2021 14:00:25

%% Input handling

% If no sheet is specified, read first sheet
if nargin == 1 || isempty(sheetName)
    sheetName = 1;
end

% If row start and end points are not specified, define defaults
if nargin <= 3
    startRow = 24;
    endRow = 52427;
end

%% Setup the Import Options
opts = spreadsheetImportOptions("NumVariables", 1);

% Specify sheet and range
opts.Sheet = sheetName;
opts.DataRange = "C" + startRow(1) + ":C" + endRow(1);

% Specify column names and types
opts.VariableNames = "TOTALWINDGENERATIONINBPACONTROLAREAMWSCADA79687";
opts.VariableTypes = "double";

% Import the data
WindGenTotalLoadYTD2016 = readtable(workbookFile, opts, "UseExcel", false);

for idx = 2:length(startRow)
    opts.DataRange = "C" + startRow(idx) + ":C" + endRow(idx);
    tb = readtable(workbookFile, opts, "UseExcel", false);
    WindGenTotalLoadYTD2016 = [WindGenTotalLoadYTD2016; tb]; %#ok<AGROW>
end

%% Convert to output type
WindGenTotalLoadYTD2016 = table2array(WindGenTotalLoadYTD2016);
end